Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.core
Class NotePadMeta

    java.lang.Object
      org.pentaho.di.core.NotePadMeta

All Implemented Interfaces:
  Cloneable, org.pentaho.di.core.gui.GUIPositionInterface, org.pentaho.di.core.gui.GUISizeInterface, org.pentaho.di.core.xml.XMLInterface

    public class NotePadMeta

extends Object
implements Cloneable, org.pentaho.di.core.xml.XMLInterface, org.pentaho.di.core.gui.GUIPositionInterface, org.pentaho.di.core.gui.GUISizeInterface

Describes a note displayed on a Transformation, Job, Schema, or Report.

Since:
  28-11-2003
Author:
  Matt

Field Summary
`int` | `height`
`int` | `width`
`static String` | `XML_TAG`

Constructor Summary
`NotePadMeta()`
`NotePadMeta(org.pentaho.di.core.logging.LogWriter log, Repository rep, long id_note)`
`NotePadMeta(Node notepadnode)`
`NotePadMeta(String n, int xl, int yl, int w, int h)`

Method Summary
`Object` | `clone()`
`void` | `flipSelected()` Change a selected state to not-selected and vice-versa.
`int` | `getHeight()`
`long` | `getID()`
`org.pentaho.di.core.gui.Point` | `getLocation()`
`String` | `getNote()`
`int` | `getWidth()`
`String` | `getXML()`
`boolean` | `hasChanged()`
`boolean` | `isSelected()`
`void` | `saveRep(Repository rep, long id_transformation)`
`void` | `setChanged()`
`void` | `setChanged(boolean ch)`
`void` | `setHeight(int height)`
`void` | `setID(long id)`
`void` | `setLocation(int x, int y)`
`void` | `setLocation(org.pentaho.di.core.gui.Point p)`
`void` | `setNote(String note)`
`void` | `setSelected(boolean selected)`
`void` | `setWidth(int width)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### XML_TAG

    public static final String XML_TAG

See Also:
  Constant Field Values

### width

    public int width

### height

    public int height

Constructor Detail

### NotePadMeta

    public NotePadMeta()

### NotePadMeta

    public NotePadMeta(String n,
                       int xl,
                       int yl,
                       int w,
                       int h)

### NotePadMeta

    public NotePadMeta(Node notepadnode)
                throws org.pentaho.di.core.exception.KettleXMLException

Throws:
  `org.pentaho.di.core.exception.KettleXMLException`

### NotePadMeta

    public NotePadMeta(org.pentaho.di.core.logging.LogWriter log,
                       Repository rep,
                       long id_note)
                throws org.pentaho.di.core.exception.KettleException

Throws:
  `org.pentaho.di.core.exception.KettleException`

Method Detail

### saveRep

    public void saveRep(Repository rep,
                        long id_transformation)
                 throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getID

    public long getID()

### setID

    public void setID(long id)

### setLocation

    public void setLocation(int x,
                            int y)

  Specified by:
    `setLocation` in interface `org.pentaho.di.core.gui.GUIPositionInterface`

### setLocation

    public void setLocation(org.pentaho.di.core.gui.Point p)

  Specified by:
    `setLocation` in interface `org.pentaho.di.core.gui.GUIPositionInterface`

### getLocation

    public org.pentaho.di.core.gui.Point getLocation()

  Specified by:
    `getLocation` in interface `org.pentaho.di.core.gui.GUIPositionInterface`

### getNote

    public String getNote()

  Returns:
    Returns the note.

### setNote

    public void setNote(String note)

  Parameters:
    `note` - The note to set.

### isSelected

    public boolean isSelected()

  Specified by:
    `isSelected` in interface `org.pentaho.di.core.gui.GUIPositionInterface`
  Returns:
    Returns the selected.

### setSelected

    public void setSelected(boolean selected)

  Specified by:
    `setSelected` in interface `org.pentaho.di.core.gui.GUIPositionInterface`
  Parameters:
    `selected` - The selected to set.

### flipSelected

    public void flipSelected()

  Change a selected state to not-selected and vice-versa.

### clone

    public Object clone()

  Overrides:
    `clone` in class `Object`

### setChanged

    public void setChanged()

### setChanged

    public void setChanged(boolean ch)

### hasChanged

    public boolean hasChanged()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getXML

    public String getXML()

  Specified by:
    `getXML` in interface `org.pentaho.di.core.xml.XMLInterface`

### getHeight

    public int getHeight()

  Specified by:
    `getHeight` in interface `org.pentaho.di.core.gui.GUISizeInterface`
  Returns:
    the height

### setHeight

    public void setHeight(int height)

  Specified by:
    `setHeight` in interface `org.pentaho.di.core.gui.GUISizeInterface`
  Parameters:
    `height` - the height to set

### getWidth

    public int getWidth()

  Specified by:
    `getWidth` in interface `org.pentaho.di.core.gui.GUISizeInterface`
  Returns:
    the width

### setWidth

    public void setWidth(int width)

  Specified by:
    `setWidth` in interface `org.pentaho.di.core.gui.GUISizeInterface`
  Parameters:
    `width` - the width to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD